Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354315 - CLI Interface Ref is missing 'openstack overcloud' commands
Summary: CLI Interface Ref is missing 'openstack overcloud' commands
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation
Version: 8.0 (Liberty)
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: async
: 8.0 (Liberty)
Assignee: Lukas Ruzicka
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-11 06:38 UTC by Summer Long
Modified: 2018-02-12 13:08 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-12 13:08:58 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Summer Long 2016-07-11 06:38:29 UTC
Description of problem:

'openstack overcloud' commands are missing in the CLI Reference. Eg. 
openstack overcloud deploy [--templates <path>] [--environment-file]

Currently doc'd are:
3.3.97. openstack overcloud image build
3.3.98. openstack overcloud image upload
3.3.99. openstack overcloud netenv validate
3.3.100. openstack overcloud node delete
3.3.101. openstack overcloud update stack

Complete list (from CLI):
  overcloud deploy
  overcloud image build
  overcloud image upload
  overcloud netenv validate
  overcloud node delete
  overcloud profiles list
  overcloud profiles match
  overcloud update stack
  overcloud upgrade

Version-Release number of selected component (if applicable):
https://access.redhat.com/documentation/en/red-hat-openstack-platform/version-8/command-line-interface-reference/
Revision 7.0.0-1	Wed Jan 20 2016

Actual results:
Not there

Expected results:
Should have a complete list

Additional info:
'openstack overcloud' commands are referenced in RHOS docs in the Director Installation and Usage.

Comment 3 Summer Long 2017-06-01 02:54:05 UTC
I raised this back when RHOSP8 was the current version. You can use RHOSP11 at this point to update the documentation. (Beaker killed my last RHOSP11 env, so would have to reinstall it as well to get your info.)

Comment 12 Dan Macpherson 2017-07-13 02:44:18 UTC
Maybe using the same script. Though I haven't seen the script nor have ever used it. My assumption was that it pulled info from the CLI itself.

Comment 15 Summer Long 2017-07-13 22:26:50 UTC
Definitely agree with 'make this automated', knew Pavel had scripted the CLI a while back.


Note You need to log in before you can comment on or make changes to this bug.